Skip to content

System Requirements

  • Windows 7 or 10

Important

We only support x64 bit OS

Given that our Fiber Module product is built ontop of AutoCAD your computer should meet the minimum requirements of your version of AutoCAD. Of course, these are the minimum requirements and for a better user experience you should exceed these minimums if possible.

See AutoCAD system requirements:

AutoCAD 2019

AutoCAD 2018

AutoCAD 2017

Software Requirements

  • AutoCAD Map 3d (recommended) 2017, 2018, 2019 or AutoCAD 2017, 2018, 2019

Note

We do not support AutoCAD LT or student versions

  • Oracle Client 12.2.0.1.0
  • Oracle Database Access Components (ODAC) 12.2.0.1.0
  • Lode Data Fiber Module for the Drafting Assistant

Downloads

You can download the Oracle 12c files directly from Oracle by creating a free account. However,to ensure the correct version is downloaded for compatibility with our product we have hosted the files on our site.

Contact Lode Data Support for the download link and password.

Pre-installation

  • Verify all Windows Updates are current
  • Install AutoCAD - see AutoDesk documentation
  • Verify AutoCAD install was successful by opening AutoCAD under the user profile.

Window Updates should be current before installing Oracle or The Fiber Module.

AutoCAD must be installed before installing The Fiber Module for the Drafting Assistant.

When downloading the Fiber Module you must download the proper installation files for your version of AutoCAD (year). It is best to follow the steps in this guide in order to ensure a working product at the end.

Attention

Installing AutoCAD under the local user as administrator or under the desired users' domain profile is recommended. Installing under a different profile will require AutoCAD to be launched under desired end users' profile before contining.

Installation Procedure

  1. Install Oracle Client 12.2.0.1.0
  2. Install Oracle Database Access Components (ODAC) 12.2.0.1.0
  3. Connect to the Oracle Database service using Net Manager
  4. Install Lode Data Fiber Module